Bug 332048 - Opening an existing To-do item for editing results in both the "Start" and "Due" times (yyyy MM dd hh mm ss) changing
Summary: Opening an existing To-do item for editing results in both the "Start" and "D...
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: incidence editors (show other bugs)
Version: 5.9.1
Platform: Ubuntu Linux
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 345380 367910 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-03-12 02:41 UTC by K. A. Sayeed
Modified: 2022-04-03 19:02 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description K. A. Sayeed 2014-03-12 02:41:26 UTC
1. When a To-do item is created using a template and then it is subsequently opened for editing, the "Start" and "Due" times (the term "Time" is used here in the generalized sense: yyyy MM dd hh mm) change to the current values for the year, month, and day  while the hour and minute seem to change randomly regardless of the times that were originally entered.

2. Hence, every time a To-do item is opened for editing, it becomes necessary to re-enter the "Start" and "Due" times that were originally entered in order preserve the times in the original To-do item.

3. This is extremely inefficient and greatly reduces the usefulness of Korganizer. 

Reproducible: Always

Steps to Reproduce:
1. Using the "Template" feature create a To-do item with appropriate content including "Start" and "Due" times (the term "Time" is used here in the generalized sense: yyyy MM dd hh mm). 

2. Save and close the To-do item.

3. Open the To-do item and observe the "Start" and "Due" times.
Actual Results:  
1. The "Start" and "Due" times change.

Expected Results:  
1. The "Start" and "Due" times must not change.

1. Linux > Kubuntu > version 13.10 was used.

2. The problem occurs only when a template is used to create the To-do item.
Comment 1 gjditchfield 2015-03-27 03:22:28 UTC
I can reproduce this bug with Korganizer 4.14.6 (Kubuntu Vivid beta, fully updated as of 2015-03-26)
Comment 2 Denis Kurz 2017-06-23 19:58:53 UTC
This bug has never been confirmed for a KDE PIM version that is based on KDE Frameworks (5.x). Those versions differ significantly from the old 4.x series. Therefore, I plan to close it in around two or three months. In the meantime, it is set to WAITINGFORINFO to give reporters the oportunity to check if it is still valid. As soon as someone confirms it for a recent version (at least 5.1, ideally even more recent), I'll gladly reopen it.

Please understand that we lack the manpower to triage bugs reported for versions almost two years beyond their end of life.
Comment 3 gjditchfield 2017-07-02 20:59:44 UTC
The template feature in Korganizer 5.4.3 seems to be broken, so I can't try to reproduce the bug. I created a new template called 'Test Template', and when I try to apply it to a new To-do I get a dialog saying "Unable to find template ''.", and my desktop locks up.
Comment 4 Andrew Crouthamel 2018-09-28 02:44:27 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 5 gjditchfield 2018-10-01 01:21:58 UTC
This bug is still present in KOrganizer 5.7.3 (Kubuntu 18.04).
Comment 6 Denis Kurz 2018-10-10 20:23:00 UTC
Still present in 5.9.1. Spoiler: will still be present in 5.9.2. It also happens for events, so I move this from component todoview to incidenceeditor.

I just learned about incidence templates in KOrganizer, which kind of puzzles me after having used KOrganizer for quite some time now... Templates do not appear anywhere other than the incidence editor: not in any menu and neither in the preferences. Discoverability could probably be improved. Still not sure if I use templates correctly.
Comment 7 gjditchfield 2022-04-01 19:35:03 UTC
Git commit ba964b3b52028423b5434058490f8a5062c18072 by Glen Ditchfield.
Committed on 01/04/2022 at 01:45.
Pushed by gditchfield into branch 'release/22.04'.

Preserve datetimes of incidences created from templates

When the editor applies a template, as identified by the "isTemplate"
property, it (usually) does not copy its start/end/due datetimes;  it
keeps the datetimes set before the template was applied.  Unfortunately
when the instance is saved it still has the "isTemplate" property, and
so when it is edited the editor does not copy its datetimes; the GUI
fields are left with default values.  Removing the property fixes the
bug.

M  +1    -0    src/incidencedatetime.cpp

https://invent.kde.org/pim/incidenceeditor/commit/ba964b3b52028423b5434058490f8a5062c18072
Comment 8 gjditchfield 2022-04-03 17:46:22 UTC
*** Bug 367910 has been marked as a duplicate of this bug. ***
Comment 9 gjditchfield 2022-04-03 19:02:24 UTC
*** Bug 345380 has been marked as a duplicate of this bug. ***